## behave 1.2.5

=== docs/requirements.txt ===
sphinxcontrib-cheeseshop

=== debian/changelog ===
behave (1.2.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:30:36 +0800

behave (1.2.5-2) unstable; urgency=medium

  * debian/patches/0002-Python-3.6-compatibility.patch: Apply patch from
    upstream to provide compatibility with Python 3.6 and fix
    FTBFS. Thanks to Logan Rosen for the patch. Closes: #870586.

 -- Vincent Bernat <bernat@debian.org>  Sat, 05 Aug 2017 12:40:02 +0200

behave (1.2.5-1) unstable; urgency=low

  * Initial release (closes: #765550)

 -- Vincent Bernat <bernat@debian.org>  Tue, 13 Jun 2017 07:01:28 +0200

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=behave
export PYBUILD_AFTER_INSTALL_python2=rm -rf {destdir}/usr/bin/
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build-indep:
	dh_auto_build -i
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

=== debian/watch ===
# try also https://pypi.debian.net/behave/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/behave/behave-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## behave 1.2.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
UPDATE        = ./update_behave_rst.py
SPHINXBUILD   = $(UPDATE) && sphinx-build
PAPER         =
BUILDDIR      = ../build/docs

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/behave.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/behave.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/behave"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/behave"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== issue.features/requirements.txt ===
# ============================================================================
# PYTHON PACKAGE REQUIREMENTS: For running issue.features/
# ============================================================================
# REQUIRES: Python >= 2.5
# REQUIRES: Python >= 3.2
# DESCRIPTION:
#    pip install -r <THIS_FILE>
#
# ============================================================================

PyHamcrest >= 1.6

=== debian/changelog ===
behave (1.2.6-6) unstable; urgency=medium

  * Team upload.
  * Remove remaining usage of Nose (Closes: #1018314)
  * Swap Maintainer <-> Uploaders per new DPT Policy
  * Use dh-sequence-python3
  * Apply the Multi-Arch hint
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Sep 2024 16:08:58 +0200

behave (1.2.6-5) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Christoph Berg ]
  * Fix FTBFS with Sphinx 7.1 and extlinks. (Closes: #1042610)
  * Move "tests" directory aside while running test. (Closes: #1054974)

 -- Christoph Berg <myon@debian.org>  Mon, 15 Jan 2024 15:43:14 +0000

behave (1.2.6-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Christoph Berg ]
  * setup.py: Remove use_2to3 attribute. (Closes: #997632)

 -- Christoph Berg <myon@debian.org>  Thu, 09 Dec 2021 15:32:01 +0100

behave (1.2.6-3) unstable; urgency=medium

  * Team upload.
  * debian/patches: Add 0004_FTBFS_with_pytest.patch, fix FTBFS,
    thanks to  jenisys. (Closes: #977057).


 -- Joao Paulo Lima de Oliveira <jlima.oliveira11@gmail.com>  Thu, 18 Feb 2021 18:51:33 -0400

behave (1.2.6-2) unstable; urgency=medium

  * Team upload.

  [ Michael Banck ]
  * d/control: Added python3-path and python3-pytest to Build-Depends, thanks
    to Sebastiaan Couwenberg. Closes: #954645.

  [ Christoph Berg ]
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Fri, 08 May 2020 20:47:54 +0200

behave (1.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream relesae.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Banck ]
  * debian/patches/0001-docs-disable-use-of-sphincontrib.cheeseshop.patch:
    Removed, no longer needed.
  * debian/patches/0002-Python-3.6-compatibility-patch-re.LOCALE-removed.patch:
    Removed, no longer needed.
  * debian/patches/0003-Backport-for-py38-fixes.patch: New patch, provides
    compatibility with Python 3.8. Closes: #943991.
  * debian/control: Added python3-sphinx-bootstrap-theme to Build-Depends.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Jan 2020 13:59:42 +0100

behave (1.2.5-3) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support (Closes: #936200).
  * Enable autopkgtest-pkg-python testsuite.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0.

 -- Ondřej Nový <onovy@debian.org>  Fri, 13 Sep 2019 15:19:10 +0200

=== debian/control ===
Source: behave
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-doc,
               python3-hamcrest,
               python3-mock,
               python3-parse,
               python3-parse-type,
               python3-path,
               python3-pytest,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-sphinx-bootstrap-theme
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/behave/behave
Vcs-Git: https://salsa.debian.org/python-team/packages/behave.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/behave
Testsuite: autopkgtest-pkg-python

Package: python3-behave
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: behaviour-driven development for Python 3
 Behavior-driven development (or BDD) is an agile software development
 technique that encourages collaboration between developers, QA, and
 non-technical or business participants in a software project.
 .
 behave uses tests written in a natural language style, backed up
 by Python code.
 .
 This package contains the modules for Python 3.

Package: python-behave-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: behaviour-driven development, documentation
 Behavior-driven development (or BDD) is an agile software development
 technique that encourages collaboration between developers, QA, and
 non-technical or business participants in a software project.
 .
 behave uses tests written in a natural language style, backed up
 by Python code.
 .
 This package contains the documentation.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=behave
export PYBUILD_TEST_ARGS=test

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build-indep:
	dh_auto_build -i
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	python3 -m sphinx -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif
